aim4.util

## Class TiledArea.Tile

- java.lang.Object
- - aim4.util.TiledArea.Tile

- Enclosing class:
    TiledArea

      public static class TiledArea.Tile
      extends Object

  A tile.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TiledArea.Tile(Rectangle2D rectangle, int x, int y, int id)` Create a tile.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Get the id of this tile
    `Rectangle2D` | `getRectangle()` Get the area controlled by this ReservationTile.
    `int` | `getX()` Get the x-coordinate of this tile
    `int` | `getY()` Get the y-coordinate of this tile
    `boolean` | `isEdgeTile()` Whether or not this tile is on the edge
    `void` | `setEdgeTile(boolean edgeTile)` Set whether or not this tile is on the edge.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TiledArea.Tile

          public TiledArea.Tile(Rectangle2D rectangle,
                        int x,
                        int y,
                        int id)

      Create a tile.
      Parameters:
        `rectangle` - the area of the tile
        `x` - the x-coordinate of the tile
        `y` - the y-coordinate of the tile
        `id` - the ID of the tile

  - ### Method Detail

    - #### getRectangle

          public Rectangle2D getRectangle()

      Get the area controlled by this ReservationTile.

    - #### getX

          public int getX()

      Get the x-coordinate of this tile

    - #### getY

          public int getY()

      Get the y-coordinate of this tile

    - #### getId

          public int getId()

      Get the id of this tile

    - #### isEdgeTile

          public boolean isEdgeTile()

      Whether or not this tile is on the edge

    - #### setEdgeTile

          public void setEdgeTile(boolean edgeTile)

      Set whether or not this tile is on the edge.
      Parameters:
        `edgeTile` - whether or not this tile is on the edge

Copyright © 2013. All rights reserved.